#!/usr/bin/python3

import logging
import time
import os
import sys
from datetime import datetime
from observium_func import assemble_sms

def main():
    # Setup logging
    sms_msg = assemble_sms()
    hostname = sys.argv[1]
    sms_number = sys.argv[2]
    
    success = False
    retries = 0
    max_retries = 3

    while not success and retries < max_retries:
        retries += 1
        try:
            # Escape message and number for remote shell
            sms_msg = shlex.quote(sms_msg)
            sms_number = shlex.quote(sms_number)
            # Contact remote host
            subprocess.run([ '/usr/bin/ssh', hostname, '/opt/sms/send_sms.py', sms_msg, sms_number ], check=True)
        except:
            raise
        else:
            success = True

if __name__ == "__main__":
    main()
